package cn.com.ctop.common.module.mapper;



import cn.com.ctop.common.module.entity.BytedanceCdpProject;
import cn.com.ctop.common.module.entity.MediaSendAlarmRecord;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BytedanceProjectMapper {

    Long getProjectId(@Param("accountId") Long accountId);

    int replaceProjectList(@Param("list") List<BytedanceCdpProject> list);

    List<JSONObject> getWChatIdsByAccountId(@Param("accountId") Long accountId);

    void insertSendRecord(MediaSendAlarmRecord record);

    List<Long> getBytedanceRefusalSend(@Param("accountId") Long accountId);

    List<Long> getSpecialProject();

    void insertSendAccountId(@Param("accountId") Long accountId, @Param("adId") Long adId, @Param("counts") Integer counts);

    Integer getrefusalAccountCounts(@Param("accountId") Long accountId, @Param("adId") Long adId);

    JSONObject getProjectByAccountId(@Param("accountId") Long accountId);

    List<JSONObject> getBytedanceOcpxTypeList();

    JSONObject getTokenByAccountId(@Param("advertiserId") Long advertiserId);

    void addLog(@Param("accountId") Long accountId, @Param("projectId") Long projectId, @Param("projectStatus") String projectStatus);

    List<JSONObject> getLeaderByAccountId(@Param("accountId") Long accountId);

    JSONObject getAccountInfo(@Param("accountId") Long accountId);
}